Package org.eclipse.cdt.utils.elf

## Class Elf.ElfClassNoneException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.cdt.utils.elf.Elf.ElfClassNoneException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  Elf

    public static class Elf.ElfClassNoneException
    extends IOException

Exception indicating that `Elf.ELFhdr.ELFCLASSNONE` header is read.

Since:
  7.2
See Also:
  Serialized Form

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`